Package com.databricks.jdbc.common

## Enum TelemetryLogLevel

- java.lang.Object
- - java.lang.Enum<TelemetryLogLevel>
  - - com.databricks.jdbc.common.TelemetryLogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<TelemetryLogLevel>`

    public enum TelemetryLogLevel
    extends Enum<TelemetryLogLevel>

Telemetry log verbosity for structured driver events; independent of `LogLevel` and set via `telemetryLogLevel` (see `DatabricksJdbcUrlParams.TELEMETRY_LOG_LEVEL`).

### Enum Constant Summary

Enum Constants
`DEBUG` Detailed diagnostics for troubleshooting.
`ERROR` Errors that fail an operation but do not crash the process.
`FATAL` Unrecoverable conditions that abort processing.
`INFO` High-level normal activity.
`OFF` Disable telemetry logging.
`TRACE` Maximum verbosity including internal timings and state.
`WARN` Potential issues without interrupting normal flow.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TelemetryLogLevel` `fromInt​(int code)` Parses a telemetry level from its integer code.
`static TelemetryLogLevel` `parse​(String value, TelemetryLogLevel defaultLevel)` Parses from string accepting either integer codes or names; falls back to defaultLevel.
`int` `toInt()` Returns the integer code for this level.
`static TelemetryLogLevel` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TelemetryLogLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF

    public static final TelemetryLogLevel OFF

Disable telemetry logging.

#### FATAL

    public static final TelemetryLogLevel FATAL

Unrecoverable conditions that abort processing.

#### ERROR

    public static final TelemetryLogLevel ERROR

Errors that fail an operation but do not crash the process.

#### WARN

    public static final TelemetryLogLevel WARN

Potential issues without interrupting normal flow.

#### INFO

    public static final TelemetryLogLevel INFO

High-level normal activity.

#### DEBUG

    public static final TelemetryLogLevel DEBUG

Detailed diagnostics for troubleshooting.

#### TRACE

    public static final TelemetryLogLevel TRACE

Maximum verbosity including internal timings and state.

### Method Detail

#### values

    public static TelemetryLogLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TelemetryLogLevel c : TelemetryLogLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TelemetryLogLevel valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toInt

    public int toInt()

Returns the integer code for this level.

#### fromInt

    public static TelemetryLogLevel fromInt​(int code)

Parses a telemetry level from its integer code. Defaults to DEBUG for unknown codes.

#### parse

    public static TelemetryLogLevel parse​(String value,
                                          TelemetryLogLevel defaultLevel)

Parses from string accepting either integer codes or names; falls back to defaultLevel.